Librarian PTF LU00451 getting a  GIM31902I error

book

Article ID: 220551

calendar_today

Updated On:

Products

CA Librarian

Issue/Introduction

Applying maintenance to Librarian getting the following error:

LU00451  CALJ440  GIM31902I      1   THIS SYSMOD DOES NOT PRE OR SUP RS63990, A UMID OF MOD LIBRMAIN THAT IS    
                                     CURRENTLY INSTALLED.                                                       
                                     --- POSSIBLE CAUSES ---                                                    
                                     1. AN ATTEMPT WAS MADE TO REINSTALL A SYSMOD AFTER SUBSEQUENT SERVICE WAS  
                                        INSTALLED.                                                              
                                     2. PRE OR SUP VALUES WERE SPECIFIED INCORRECTLY.                           

Environment

Release : 4.4

Component : CA Librarian

Resolution

LU02158 works differently than the previous RSxxxxx USERMODs.
         - Previously RSxxxxx directly updated the Librarian modules so nothing else was required after APPLY
 
With LU02158, the SMP/E APPLY is done the same way.
 
The differences are after the APPLY is done:
- LU02158 updates two members in the CALJJCL library: LJMODSEC and MLJ4406
- After the APPLY is done, modify and submit the JCL member LJMODSEC which applies the MLJ4406 USERMOD to update to the Librarian modules.

 

The steps to perform are:
       - SMP/E RESTORE the special fix RSxxxxx
       - SMP/E APPLY LU00451 and LU02158
       - Modify and submit JCL LMODSEC in the CALJJCL library